Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Wireshark Multiple Denial of Service Vulnerabilities September16 (Windows)

Information

Severity

Severity

Medium

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

4.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

6 years ago

Modified

Modified

4 years ago

Summary

This host is installed with Wireshark and is prone to multiple denial of service vulnerabilities.

Insight

Insight

The multiple flaws are due to, - The 'epan/dissectors/packet-ipmi-trace.c' script in the IPMI trace dissector mishandles string. - A stack-based buffer overflow error in 'epan/dissectors/packet-catapult-dct2000.c' script in the Catapult DCT2000 dissector. - The 'epan/dissectors/packet-umts_fp.c' script in the UMTS FP dissector does not ensure that memory is allocated for certain data structures. - The 'epan/dissectors/packet-catapult-dct2000.c' script in the Catapult DCT2000 dissector does not restrict the number of channels. - The 'epan/dissectors/packet-h225.c' in the H.225 dissector calls snprintf with one of its input buffers as the output buffer. - The 'epan/dissectors/packet-qnet6.c' in the QNX6 QNET dissector mishandles MAC address data.

Affected Software

Affected Software

Wireshark version 2.0.x before 2.0.6 on Windows.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to Wireshark version 2.0.6 or or later.